## Find a webhook

Retrieves details about a specific webhook in merchant account.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/find-webhook HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  webhook_id: string,
}
```

Returns: object

## Request arguments

### `webhook_id` (string)

**Required**. The unique identifier of the webhook to retrieve.

## Response attributes

### `webhook_id` (string)

**Always present**. The ID of the webhook endpoint.

### `name` (string)

**Always present**. The name of the webhook endpoint.

### `enabled` (boolean)

**Always present**. Whether the webhook endpoint is enabled and will receive events.

### `api_version` (string)

**Always present**. The API version that the webhook endpoint is configured for.

### `destination_url` (string)

**Always present**. The URL where webhook events will be sent.

### `protocol` (string)

**Always present**. The protocol used for sending webhook events (e.g., `HTTPS`).

Possible values:

- `HTTP`
- `HTTPS`

### `signature_type` (string)

**Always present**. The type of signature that will be sent in the header of webhooks.

Possible values:

- `SHA256`
- `HMAC_SHA256`
- `ED25519`

### `verification_key` (string)

**Always present**. The key used to verify webhook signatures.

### `events` (array)

**Always present**. List of event types that this webhook endpoint will receive.

Possible values:

- `PAYMENT_COMPLETED`
- `PAYMENT_VOIDED`
- `PAYMENT_REVERSED`
- `PAYMENT_AUTHORIZED`
- `PAYMENT_EXPIRED`
- `PAYOUT_COMPLETED`
- `TOPUP_SETTLED`

### `created_at` (number)

**Always present**. The timestamp of the key creation as a Unix timestamp.

## Errors specific to this endpoint

### `NOT_FOUND`

This error occurs when no webhook with the provided ID exists in your
merchant account. Double check that you're using the correct webhook ID.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
